View Issue Details

IDProjectCategoryLast Update
0020560AI War 2[All Projects] Bug - GameplayNov 19, 2018 3:02 pm
ReporterKasslerkryssiAssigned ToDominus Arbitrationis 
Severitymajor 
Status resolvedResolutionfixed 
Product Version0.802 Hold Your Fire! 
Fixed in Version0.807 Cyber Command 
Summary0020560: Cursed golem mating season?
DescriptionHad this funny bug where when the cursed golem would die on neutral or enemy planet, I would have to reclaim it by installing a station on the said planet, but upon fixing the golem suddenly another broken golem appears on the same spot! So now I have two golems instead of one... next time I... ahem... "tried" having them both killed.
After reclaiming them I successfully had four golems! So maybe I could get them to further multiply themselves? From four to eight to sixteen? AI difficulty 10 sounds a bit more plausible for me to beat now!
TagsNo tags attached.

Relationships

related to 0020441 resolvedDominus Arbitrationis After the death of the golem they become two 

Activities

Kasslerkryssi

Oct 16, 2018 4:23 pm

reporter  

4 golems.savemet (48 bytes)
4 golems.save (1,031,291 bytes)
Sbloof.savemet (48 bytes)
Sbloof.save (685,878 bytes)

x4000Bughunter

Oct 16, 2018 4:40 pm

administrator   ~0050090

I had one other report of this, haha. I'm not sure why they are doing that, but that sure is fun. I will fix this bug soon, but I think this would actually make a fun mechanic for some unit to have on purpose. :)

BadgerBadger

Oct 16, 2018 4:41 pm

manager   ~0050091

This was observed earlier by HeartHunter, but I didn't have any luck reproducing the problem with his save. Hopefully I'll have better luck this time.

BadgerBadger

Oct 16, 2018 4:42 pm

manager   ~0050092

Chris, my hypothesis is that there's something wrong with the unit Transformation code; it's a GameCommand now that takes an argument for units to spawn.

Kasslerkryssi

Oct 17, 2018 7:34 am

reporter   ~0050120

It could be a really good mechanic for a new unit someday! :)

Kaleopan

Nov 4, 2018 11:40 pm

reporter   ~0050440

Managed to clone an armored golem today.
Looks like the old one gets transformed into inactive form + spawns another.

Dominus Arbitrationis

Nov 19, 2018 3:02 pm

administrator   ~0050505

I talked it out with the golems and they agreed to stop mating during game time. :P

Issue History

Date Modified Username Field Change
Oct 16, 2018 4:23 pm Kasslerkryssi New Issue
Oct 16, 2018 4:23 pm Kasslerkryssi File Added: Sbloof.save
Oct 16, 2018 4:23 pm Kasslerkryssi File Added: Sbloof.savemet
Oct 16, 2018 4:23 pm Kasslerkryssi File Added: 4 golems.save
Oct 16, 2018 4:23 pm Kasslerkryssi File Added: 4 golems.savemet
Oct 16, 2018 4:40 pm x4000Bughunter Note Added: 0050090
Oct 16, 2018 4:41 pm BadgerBadger Note Added: 0050091
Oct 16, 2018 4:42 pm BadgerBadger Note Added: 0050092
Oct 17, 2018 7:34 am Kasslerkryssi Note Added: 0050120
Oct 24, 2018 12:00 pm Dune Assigned To => x4000Bughunter
Oct 24, 2018 12:00 pm Dune Status new => assigned
Oct 24, 2018 3:10 pm Dune Relationship added related to 0020441
Nov 4, 2018 11:40 pm Kaleopan Note Added: 0050440
Nov 19, 2018 3:02 pm Dominus Arbitrationis Assigned To x4000Bughunter => Dominus Arbitrationis
Nov 19, 2018 3:02 pm Dominus Arbitrationis Status assigned => resolved
Nov 19, 2018 3:02 pm Dominus Arbitrationis Resolution open => fixed
Nov 19, 2018 3:02 pm Dominus Arbitrationis Fixed in Version => 0.807 Cyber Command
Nov 19, 2018 3:02 pm Dominus Arbitrationis Note Added: 0050505